import { NoDimensionCSSStyle } from '../../types/cssStyle';
import { CellText } from '../../types/tableContent';
import { ActiveTable } from '../../activeTable';
export declare class CellElement {
    static readonly CELL_CLASS = "cell";
    private static readonly HEADER_CELL_CLASS;
    static readonly HEADER_TAG = "TH";
    static readonly DATA_TAG = "TD";
    static setDefaultCellStyle(cellElement: HTMLElement, cellStyle?: NoDimensionCSSStyle, customStyle?: NoDimensionCSSStyle): void;
    static createBaseCell(isHeader: boolean): HTMLTableCellElement;
    static createContentCell(isHeader: boolean, cellStyle?: NoDimensionCSSStyle, customStyle?: NoDimensionCSSStyle, isUsedAsAButton?: boolean): HTMLTableCellElement;
    static setCursor(textContainerElement: HTMLElement, isCellTextEditable: boolean): void;
    static prepContentEditable(textContainerElement: HTMLElement, isEditable: boolean, isUsedAsAButton?: boolean): void;
    static getCellElement(element: HTMLElement): HTMLElement;
    static getTextElement(element: HTMLElement): HTMLElement;
    static getText(element: HTMLElement): string;
    private static setText;
    static setNewText(at: ActiveTable, textContainerElement: HTMLElement, text: CellText, isCellBeingBuilt: boolean, isUndo: boolean, setText?: boolean): void;
    private static setColumnWidth;
    static createCellElement(at: ActiveTable, text: CellText, columnIndex: number, isHeader: boolean): HTMLTableCellElement;
}
//# sourceMappingURL=cellElement.d.ts.map