import { ConvertCellTypeUtils } from '../../../../../utils/columnType/convertCellTypeUtils';
import { CellStructureUtils } from '../../../../../utils/columnType/cellStructureUtils';
import { SelectCellTextElement } from './selectCellTextElement';
import { ArrowDownIconElement } from './arrowDownIconElement';
import { SelectCellEvents } from './selectCellEvents';
import { SelectCell } from '../selectCell';
export class SelectCellElement {
    static setCellSelectStructure(at, cellElement, columnIndex) {
        ConvertCellTypeUtils.preprocessCell(cellElement);
        SelectCellTextElement.setCellTextAsAnElement(at, cellElement, columnIndex);
        cellElement.appendChild(ArrowDownIconElement.get());
        SelectCell.setPointerCursorIfCantAdd(cellElement, at._columnsDetails[columnIndex].activeType);
    }
    static setColumnSelectStructure(at, columnIndex) {
        CellStructureUtils.setColumn(at, columnIndex, SelectCellElement.setCellSelectStructure, SelectCellEvents.setEvents);
    }
}
//# sourceMappingURL=selectCellElement.js.map