import { ColumnSizerT, ColumnResizerColors } from '../../types/columnSizer';
import { PX } from '../../types/dimensions';
export declare class MovableColumnSizerElement {
    static readonly DEFAULT_BACKGROUND_COLOR = "#4668ed";
    private static readonly MOVABLE_SIZER_CLASS;
    private static readonly VERTICAL_LINE_CLASS;
    static setStaticProperties(movableSizerElement: HTMLElement, marginRight: string, width: PX): void;
    static isMovableColumnSizer(element: HTMLElement): boolean;
    private static getVerticalLineHeight;
    static display(tableElement: HTMLElement, columnSizer: ColumnSizerT, addRowCellPresent: boolean): void;
    static hide(movableSizer: HTMLElement): void;
    private static createVerticalLine;
    private static getMovableBackgroundColor;
    static create(columnResizerColors: ColumnResizerColors): HTMLDivElement;
}
//# sourceMappingURL=movableColumnSizerElement.d.ts.map