import { ColumnsDetailsT } from '../../../types/columnDetails';
import { ColumnSizerT } from '../../../types/columnSizer';
import { ActiveTable } from '../../../activeTable';
export declare class InsertRemoveColumnSizer {
    private static updateIdsOfAllSubsequent;
    private static applySizerStateToElements;
    private static insertAtIndex;
    static updateSizer(columnSizer: ColumnSizerT, columnsDetails: ColumnsDetailsT, sizerIndex: number, tableElement: HTMLElement): void;
    private static updatePrevious;
    private static getNewColumnIndexIfWidthSet;
    private static isNotResizable;
    static insert(at: ActiveTable, columnIndex: number): void;
    private static removeSizer;
    private static removeIfLastColumn;
    static remove(at: ActiveTable, columnIndex: number): void;
    static cleanUpCustomColumnSizers(at: ActiveTable, changedColumnIndex: number): void;
}
//# sourceMappingURL=insertRemoveColumnSizer.d.ts.map