import { TableBorderDimensions } from '../../../types/tableBorderDimensions';
import { _CellDropdown } from '../../../types/cellDropdownInternal';
import { CellText } from '../../../types/tableContent';
import { ActiveTable } from '../../../activeTable';
export declare class CellDropdown {
    private static readonly CELL_DROPDOWN_CLASS;
    private static readonly MAX_HEIGHT_PX;
    private static readonly MIN_WIDTH;
    private static readonly MAX_WIDTH;
    private static generateRightPosition;
    private static generateBottomPosition;
    private static generateTopPosition;
    private static generateLeftPosition;
    private static correctPosition;
    private static correctPositionForOverflow;
    private static setPosition;
    static updateCellDropdown(textContainerElement: HTMLElement, dropdown: _CellDropdown, borderDimensions: TableBorderDimensions, defaultText: CellText, updateCellText: boolean, matchingCellElement?: HTMLElement): void;
    private static focusItemOnDropdownOpen;
    private static correctWidthForOverflow;
    private static getWidth;
    static display(at: ActiveTable, columnIndex: number, cellElement: HTMLElement): boolean;
    private static setCustomStyle;
    private static setCustomState;
    static setUpDropdown(at: ActiveTable, columnIndex: number): void;
    static createAndAppend(containerElement: HTMLElement): HTMLDivElement;
    static getDefaultObj(dropdownElement: HTMLElement): _CellDropdown;
    static createContainerElement(): HTMLDivElement;
}
//# sourceMappingURL=cellDropdown.d.ts.map