import { DropdownDisplaySettings } from '../../../../types/dropdownDisplaySettings';
import { ColumnDetailsT } from '../../../../types/columnDetails';
import { ActiveTable } from '../../../../activeTable';
export declare class ColumnDropdownCellOverlay {
    private static readonly COLUMN_DROPDOWN_CELL_OVERLAY_CLASS;
    private static setDefault;
    static resetDefaultColor(columnDropdownCellOverlay: HTMLElement, displaySettings?: DropdownDisplaySettings): void;
    static setHoverColor(columnDetails: ColumnDetailsT, displaySettings?: DropdownDisplaySettings): void;
    static hide(at: ActiveTable, columnDetails: ColumnDetailsT): void;
    private static setHorizontalDimensions;
    static display(columnDetails: ColumnDetailsT): void;
    private static isDisplayed;
    static updateIfDisplayed(columnDetails: ColumnDetailsT): void;
    private static create;
    static add(at: ActiveTable, columnIndex: number): HTMLDivElement;
}
//# sourceMappingURL=columnDropdownCellOverlay.d.ts.map