import { ColumnSettingsUtils } from '../../../utils/columnSettings/columnSettingsUtils';
import { ChangeColumnType } from '../../../utils/columnType/changeColumnType';
import { ColumnDropdown } from './columnDropdown';
export class ColumnTypeDropdownItemEvents {
    static onClickMiddleware(func) {
        if (!ColumnSettingsUtils.parseSettingsChange(this).areSettingsDifferent)
            func();
        ColumnDropdown.processTextAndHide(this);
    }
    // prettier-ignore
    static set(at, items, columnIndex) {
        items.forEach((dropdownChildElement) => {
            const dropdownItem = dropdownChildElement;
            dropdownItem.onclick = ColumnTypeDropdownItemEvents.onClickMiddleware.bind(at, ChangeColumnType.change.bind(at, dropdownItem.innerText.trim(), columnIndex));
        });
    }
}
//# sourceMappingURL=columnTypeDropdownItemEvents.js.map