import { StaticDropdown } from '../../../../../utils/outerTableComponents/dropdown/staticDropdown';
import { FileExportDropdownItemEvents } from './fileExportDropdownItemEvents';
import { DropdownItem } from '../../../../dropdown/dropdownItem';
export class FileExportDropdownItem {
    // prettier-ignore
    static populate(at, dropdownElement, formats) {
        formats.forEach((itemText) => {
            const itemsSettings = { text: itemText.toUpperCase() };
            const item = DropdownItem.addButtonItem(at, dropdownElement, itemsSettings, FileExportDropdownItem.ITEM_CLASS, StaticDropdown.ITEM_CLASS);
            FileExportDropdownItemEvents.setEvents(at, item);
        });
    }
}
FileExportDropdownItem.ITEM_CLASS = 'export-formats-dropdown-item';
//# sourceMappingURL=fileExportDropdownItem.js.map