import { PaginationUtils } from '../../../../../utils/outerTableComponents/pagination/paginationUtils';
import { PageButtonStyle } from '../../pageButtonStyle';
export class FirstPageButtonEvents {
    static buttonMouseUp(event) {
        const buttonElement = event.target;
        PageButtonStyle.mouseEnter(buttonElement, this._pagination.styles.pageButtons, true);
        if (this._pagination.activePageNumber === 1)
            return;
        PaginationUtils.displayRowsForDifferentButton(this, 1);
    }
    static setEvents(at, firstButtonElement) {
        firstButtonElement.onmouseup = FirstPageButtonEvents.buttonMouseUp.bind(at);
    }
}
//# sourceMappingURL=firstPageButtonEvents.js.map