import { PaginationUtils } from '../../../../../utils/outerTableComponents/pagination/paginationUtils';
import { PageButtonStyle } from '../../pageButtonStyle';
export class PageNumberButtonEvents {
    // REF-30
    static markClick(pagination) {
        pagination.clickedPageNumberButton = true;
        setTimeout(() => (pagination.clickedPageNumberButton = false));
    }
    static buttonMouseUp(buttonNumber, event) {
        PageNumberButtonEvents.markClick(this._pagination);
        const buttonElement = event.target;
        const { pageButtons } = this._pagination.styles;
        if (this._pagination.activePageNumber === buttonNumber) {
            PageButtonStyle.mouseEnter(buttonElement, pageButtons, false);
        }
        else {
            PaginationUtils.displayRowsForDifferentButton(this, buttonNumber);
            // for the case when mouse clicks on a number button and no new buttons are created
            PageButtonStyle.mouseEnter(buttonElement, pageButtons, false);
        }
    }
    static setEvents(at, buttonNumber, buttonElement) {
        buttonElement.onmouseup = PageNumberButtonEvents.buttonMouseUp.bind(at, buttonNumber);
    }
}
//# sourceMappingURL=pageNumberButtonEvents.js.map