import { PageButtonStyle } from './pageButtonStyle';
export class PageButtonContainerEvents {
    // REF-31
    static containerMouseLeave(pagination) {
        const { clickedPageNumberButton, programaticallyHoveredPageNumberButton, styles } = pagination;
        if (clickedPageNumberButton && programaticallyHoveredPageNumberButton) {
            PageButtonStyle.mouseLeave(programaticallyHoveredPageNumberButton, styles.pageButtons, false);
        }
    }
    static setEvents(buttonContainerElement, pagination) {
        buttonContainerElement.onmouseleave = PageButtonContainerEvents.containerMouseLeave.bind(this, pagination);
    }
}
//# sourceMappingURL=pageButtonContainerEvents.js.map