import { NumberOfVisibleRowsElement } from './numberOfVisibleRows/numberOfVisibleRowsElement';
import { RowsPerPageSelectElement } from './rowsPerPageSelect/rowsPerPageSelectElement';
import { PageButtonContainerElement } from './pageButtons/pageButtonContainerElement';
export class PaginationElements {
    static create(at, containers) {
        at._pagination.buttonContainer = PageButtonContainerElement.create(at);
        PageButtonContainerElement.addInitialElements(at, containers);
        if (at._pagination.rowsPerPageOptionsItemText) {
            RowsPerPageSelectElement.create(at, containers);
        }
        if (at._pagination.displayNumberOfVisibleRows) {
            at._pagination.numberOfVisibleRowsElement = NumberOfVisibleRowsElement.create(at, containers);
        }
    }
}
PaginationElements.PAGINATION_TEXT_COMPONENT_CLASS = 'pagination-text-component';
//# sourceMappingURL=paginationElements.js.map