import { FilterInternalUtils } from '../../../../utils/outerTableComponents/filter/rows/filterInternalUtils';
import { ToggleableElement } from '../../../../utils/elements/toggleableElement';
export class FilterInputCaseEvents {
    static clickButton(button, config, active) {
        const activeStyle = active || {};
        const wasActive = ToggleableElement.toggleActive(button, { color: '#000000', ...activeStyle });
        config.isCaseSensitive = !wasActive;
        FilterInternalUtils.resetInput(this, config);
        config.inputElement.dispatchEvent(new Event('input'));
    }
    static setEvents(at, button, config, activeStyle) {
        button.onclick = FilterInputCaseEvents.clickButton.bind(at, button, config, activeStyle);
    }
}
//# sourceMappingURL=filterInputCaseEvents.js.map