import { WindowEvents } from './windowEvents';
import { WindowResize } from './windowResize';
export class WindowElement {
    static setEvents(at) {
        window.addEventListener('keydown', WindowEvents.onKeyDown.bind(at));
        window.addEventListener('keyup', WindowEvents.onKeyUp.bind(at));
        window.addEventListener('mousedown', WindowEvents.onMouseDown.bind(at));
        window.addEventListener('mouseup', WindowEvents.onMouseUp.bind(at));
        window.addEventListener('mousemove', WindowEvents.onMouseMove.bind(at));
        WindowResize.observeIfRequired(at);
    }
}
//# sourceMappingURL=windowElement.js.map