import { StatefulCSS, NoDimensionCSSStyle } from './cssStyle';
export type DropdownCellOverlayStyles = Omit<StatefulCSS<Pick<NoDimensionCSSStyle, 'backgroundColor'>>, 'click'>;
export interface DropdownDisplaySettings {
    isAvailable?: boolean;
    openMethod?: {
        overlayClick?: boolean;
        cellClick?: boolean;
    };
    overlayStyles?: DropdownCellOverlayStyles;
}
//# sourceMappingURL=dropdownDisplaySettings.d.ts.map