export interface InputFilterData {
    colCells: HTMLElement[];
    filterText: string;
    isCaseSensitive: boolean;
}
export type ChunkFilterData = InputFilterData & {
    chunk: HTMLElement[];
};
export interface FilterInternal {
    inputElement: HTMLInputElement;
    isCaseSensitive: boolean;
    elements: HTMLElement[];
    placeholderTemplate?: string;
    defaultColumnHeaderName?: string;
    lastRegisteredHeaderName: string;
}
export interface VisibilityInternal {
    filters?: FilterInternal[];
}
//# sourceMappingURL=visibilityInternal.d.ts.map