export class Browser {
    // can't use DateCellInputElement class as this is called before CellElement class can be used
    static createDateInput() {
        const dateInput = document.createElement('input');
        dateInput.type = 'date';
        return dateInput;
    }
    static createColorInput() {
        const dateInput = document.createElement('input');
        dateInput.type = 'color';
        return dateInput;
    }
}
Browser.IS_FIREFOX = navigator.userAgent.toLowerCase().indexOf('firefox') > -1;
Browser.IS_SAFARI = /^((?!chrome|android).)*safari/i.test(navigator.userAgent);
Browser.IS_CHROMIUM = window.chrome;
Browser.IS_INPUT_DATE_SUPPORTED = Browser.createDateInput().type === 'date' && 'showPicker' in HTMLInputElement.prototype;
Browser.IS_COLOR_PICKER_SUPPORTED = Browser.createColorInput().type === 'color' && 'showPicker' in HTMLInputElement.prototype;
//# sourceMappingURL=browser.js.map