export class CellHighlightUtils {
    static fade(cellElement, defaultColorProperties) {
        cellElement.style.backgroundColor = (defaultColorProperties === null || defaultColorProperties === void 0 ? void 0 : defaultColorProperties.backgroundColor) || '';
        cellElement.style.color = (defaultColorProperties === null || defaultColorProperties === void 0 ? void 0 : defaultColorProperties.color) || '';
    }
    static highlight(cellElement, hoverColorProperties) {
        if (hoverColorProperties === null || hoverColorProperties === void 0 ? void 0 : hoverColorProperties.backgroundColor)
            cellElement.style.backgroundColor = hoverColorProperties.backgroundColor;
        if (hoverColorProperties === null || hoverColorProperties === void 0 ? void 0 : hoverColorProperties.color)
            cellElement.style.color = hoverColorProperties.color;
    }
    static unsetDefaultHoverProperties(defaultCellHoverColors) {
        defaultCellHoverColors.backgroundColor = '';
        defaultCellHoverColors.color = '';
    }
    static getDefaultHoverProperties() {
        return { backgroundColor: '#f7f7f7', color: '' };
    }
}
//# sourceMappingURL=cellHighlightUtils.js.map