export class RGBAToHex {
    static extractIndividualNumbers(rgba) {
        return rgba.match(RGBAToHex.REGEX);
    }
    static convert(rgba) {
        return `#${RGBAToHex.extractIndividualNumbers(rgba)
            .slice(1)
            .map((n, i) => (i === 3 ? Math.round(parseFloat(n) * 255) : parseFloat(n)).toString(16).padStart(2, '0').replace('NaN', ''))
            .join('')}`;
    }
}
RGBAToHex.REGEX = /^rgba?\((\d+),\s*(\d+),\s*(\d+)(?:,\s*(\d+\.{0,1}\d*))?\)$/;
//# sourceMappingURL=rgbaToHex.js.map