import { FilterInternalUtils } from '../outerTableComponents/filter/rows/filterInternalUtils';
import { VisibilityUtils } from '../outerTableComponents/filter/filterInternalUtils';
import { ColumnSettingsUtils } from '../columnSettings/columnSettingsUtils';
export class HeaderText {
    static onAttemptChange(at, cellElement, columnIndex, event) {
        const colRem = event === null || event === void 0 ? void 0 : event.colRemove;
        if (!colRem) {
            ColumnSettingsUtils.changeColumnSettingsIfNameDifferent(at, cellElement, columnIndex, event === null || event === void 0 ? void 0 : event.colMove);
        }
        if (at._visiblityInternal.filters) {
            if (FilterInternalUtils.wasHeaderChanged(at._columnsDetails, at._visiblityInternal.filters, columnIndex, colRem)) {
                VisibilityUtils.headerChanged(at);
            }
        }
    }
}
//# sourceMappingURL=headerText.js.map