import { CellEvents } from '../../elements/cell/cellEvents';
import { FireEvents } from '../events/fireEvents';
export class ColumnSettingsDefaultTextUtils {
    static unsetDefaultText(at, columnDetails, columnIndex) {
        columnDetails.elements.slice(1).forEach((element, rowIndex) => {
            const relativeIndex = rowIndex + 1;
            CellEvents.removeTextIfDefault(at, relativeIndex, columnIndex, element);
        });
    }
    static setDefaultText(at, columnDetails, columnIndex) {
        let isCellUpdated = false;
        columnDetails.elements.slice(1).forEach((element, rowIndex) => {
            const relativeIndex = rowIndex + 1;
            const isUpdated = CellEvents.setCellToDefaultIfNeeded(at, relativeIndex, columnIndex, element, false);
            if (!isCellUpdated && isUpdated)
                isCellUpdated = true;
        });
        setTimeout(() => FireEvents.onContentUpdate(at));
    }
}
//# sourceMappingURL=columnSettingsDefaultTextUtils.js.map