export class CellStructureUtils {
    static setColumn(at, columnIndex, setStructure, setEvents) {
        const { elements } = at._columnsDetails[columnIndex];
        elements.slice(1).forEach((cellElement, dataRowIndex) => {
            const relativeRowIndex = dataRowIndex + 1;
            setStructure(at, cellElement, columnIndex, relativeRowIndex);
            // event setter should not be in a timeout because if column width is wide and column type dropdown is closed
            // after the user selected a new type, if mouse is on the same column - mouse enter event will be fired
            if (at._columnsDetails[columnIndex].settings.isCellTextEditable) {
                setEvents(at, cellElement, relativeRowIndex, columnIndex);
            }
        });
    }
}
//# sourceMappingURL=cellStructureUtils.js.map