import { DEFAULT_COLUMN_TYPES } from '../../enums/defaultColumnTypes';
import { ActiveTable } from '../../activeTable';
import { Sorting } from '../../types/sorting';
export declare class Sort {
    private static extractNumberFromString;
    static readonly DEFAULT_TYPES_SORT_FUNCS: {
        [key in DEFAULT_COLUMN_TYPES]?: Sorting;
    };
    private static update;
    private static sortStringsColumnAscending;
    private static sortStringsColumnDescending;
    private static sortStrings;
    private static parseComparedText;
    private static validateType;
    private static validateAndSort;
    private static sortViaSortFuncs;
    private static compareDates;
    private static parseYMDFormat;
    private static sortDates;
    static sortColumn(at: ActiveTable, columnIndex: number, isAsc: boolean): void;
}
//# sourceMappingURL=sort.d.ts.map