import { DEFAULT_COLUMN_TYPES } from '../../enums/defaultColumnTypes';
import { ColumnTypeInternal } from '../../types/columnTypeInternal';
import { TextValidation } from '../../types/textValidation';
import { CellText } from '../../types/tableContent';
export declare class Validation {
    private static readonly DEFAULT_TYPES_REGEX;
    static readonly DEFAULT_TYPES_FUNCTIONALITY: {
        [key in DEFAULT_COLUMN_TYPES]?: TextValidation['func'];
    };
    static setSelectValidation(type: ColumnTypeInternal, isDefaultTextRemovable: boolean, defaultText: CellText): void;
}
//# sourceMappingURL=validation.d.ts.map