import { TableBorderDimensions } from '../../types/tableBorderDimensions';
import { SIDE } from '../../types/side';
interface FullyVisible {
    isFullyVisible: true;
}
interface PartiallyVisible {
    isFullyVisible: false;
    blockingSides: Set<SIDE>;
}
type VisibilityDetails = FullyVisible | PartiallyVisible;
export declare class ElementVisibility {
    static getDetailsInWindow(element: HTMLElement, borderDimensions: TableBorderDimensions, isInsideTable?: boolean): VisibilityDetails;
    static isVerticallyVisibleInsideParent(element: HTMLElement, shadowRoot?: Document): VisibilityDetails;
}
export {};
//# sourceMappingURL=elementVisibility.d.ts.map