export class GenericElementUtils {
    static hideElements(...elements) {
        elements.forEach((element) => (element.style.display = 'none'));
    }
    static getStyleWidth(element, cssProperty) {
        return Number.parseFloat(element.style[cssProperty]) || 0;
    }
    static doesElementExistInDom(element) {
        return !!element.parentElement;
    }
    static isFirstChildInParent(element) {
        var _a;
        return ((_a = element.parentElement) === null || _a === void 0 ? void 0 : _a.firstChild) === element;
    }
}
GenericElementUtils.NOT_SELECTABLE_CLASS = 'not-selectable';
//# sourceMappingURL=genericElementUtils.js.map