import { CSSStyle, StatefulCSS } from '../../types/cssStyle';
export declare class StatefulCSSEvents {
    static apply(styles: StatefulCSS, newStyle: CSSStyle | undefined, element: HTMLElement): void;
    private static mouseUp;
    private static mouseDown;
    private static mouseLeave;
    private static mouseEnter;
    static getEvents(element: HTMLElement, styles: StatefulCSS, inactiveClass?: string, otherElement?: HTMLElement): {
        mouseenter: () => void;
        mouseleave: () => void;
        mousedown: () => void;
        mouseup: () => void;
    };
    static setEvents(element: HTMLElement, styles: StatefulCSS, inactiveClass?: string, otherElement?: HTMLElement): {
        mouseenter: () => void;
        mouseleave: () => void;
        mousedown: () => void;
        mouseup: () => void;
    };
}
//# sourceMappingURL=statefulCSSEvents.d.ts.map