import { CellStateColorsR } from '../../types/cellStateColors';
import { FrameComponentsCellsColors } from '../../types/frameComponentsCellsColors';
import { ActiveTable } from '../../activeTable';
export declare class FrameComponentsColors {
    private static getInheritedHeaderColors;
    private static getHoverColorValue;
    private static getDefaultColorValue;
    static setEventColors(at: ActiveTable): void;
    static getColorsBasedOnParam(cellColors: FrameComponentsCellsColors, rowIndex: number): CellStateColorsR;
    static getDefaultCellColors(): {
        data: {
            default: {
                backgroundColor: string;
                color: string;
            };
            hover: {
                backgroundColor: string;
                color: string;
            };
        };
        header: {
            default: {
                backgroundColor: string;
                color: string;
            };
            hover: {
                backgroundColor: string;
                color: string;
            };
        };
    };
}
//# sourceMappingURL=frameComponentsColors.d.ts.map