import { ToggleAdditionElements } from '../../elements/table/addNewElements/shared/toggleAdditionElements';
import { AddNewRowElement } from '../../elements/table/addNewElements/row/addNewRowElement';
// frame components are comprised of index column, add new column column and add new row row
export class FrameComponentsElements {
    // index and add column cells are added on row insertion
    // CAUTION-4
    static addFrameBodyElements(at) {
        var _a, _b;
        // add new row element - REF-18 (the row element has already been created and cell added to it)
        (_a = at._tableBodyElementRef) === null || _a === void 0 ? void 0 : _a.appendChild((_b = at._addRowCellElementRef) === null || _b === void 0 ? void 0 : _b.parentElement);
        ToggleAdditionElements.update(at, true, AddNewRowElement.toggle);
    }
}
//# sourceMappingURL=frameComponentsElements.js.map