import { FrameComponentsColors } from './frameComponentsColors';
// frame components are comprised of index column, add new column column and add new row row
export class FrameComponentsInternalUtils {
    static set(at) {
        var _a;
        const { frameComponentsStyles, _frameComponents } = at;
        _frameComponents.displayAddNewColumn = at.displayAddNewColumn;
        _frameComponents.displayAddNewRow = at.displayAddNewRow;
        _frameComponents.displayIndexColumn = at.displayIndexColumn;
        _frameComponents.styles = frameComponentsStyles.styles;
        _frameComponents.inheritHeaderColors = (_a = frameComponentsStyles.inheritHeaderColors) !== null && _a !== void 0 ? _a : true;
    }
    static getDefault() {
        return {
            displayAddNewColumn: true,
            displayAddNewRow: true,
            displayIndexColumn: true,
            cellColors: FrameComponentsColors.getDefaultCellColors(),
        };
    }
}
//# sourceMappingURL=frameComponentsInternalUtils.js.map