export class LastColumn {
    // the reason why last column details are used is because after removal of the last column element, its details are
    // no longer present and update methods are run in setTimeouts, hence those details need to be captured before
    // their methods are executed
    static getDetails(columnsDetails, rowIndex) {
        const lastColumnIndex = columnsDetails.length - 1;
        return { element: columnsDetails[lastColumnIndex].elements[rowIndex], index: lastColumnIndex };
    }
}
//# sourceMappingURL=lastColumn.js.map