import { ColumnTypesUtils } from '../columnType/columnTypesUtils';
import { CellElement } from '../../elements/cell/cellElement';
import { CellEvents } from '../../elements/cell/cellEvents';
export class MoveUtils {
    // prettier-ignore
    static setNewElementText(at, newText, targetCellElement, columnIndex, rowIndex) {
        const oldText = CellElement.getText(targetCellElement);
        CellEvents.updateCell(at, newText, rowIndex, columnIndex, { element: targetCellElement, processText: false });
        ColumnTypesUtils.updateDataElements(at, rowIndex, columnIndex, targetCellElement);
        return oldText;
    }
}
//# sourceMappingURL=moveUtils.js.map