import { DropdownItem } from '../../../elements/dropdown/dropdownItem';
export class OuterDropdownItem {
    static unsetHoverColors(items) {
        // active item uses a class so unsetting this prop doesn't affect it
        items.forEach((item) => (item.style.backgroundColor = ''));
    }
    static unsetActiveItem(dropdownElement) {
        const activeItem = dropdownElement.getElementsByClassName(DropdownItem.ACTIVE_ITEM_CLASS)[0];
        activeItem === null || activeItem === void 0 ? void 0 : activeItem.classList.remove(DropdownItem.ACTIVE_ITEM_CLASS);
    }
    static setActive(items, targetItemText) {
        const activeItem = items.find((item) => item.innerText === targetItemText);
        activeItem === null || activeItem === void 0 ? void 0 : activeItem.classList.add(DropdownItem.ACTIVE_ITEM_CLASS);
    }
    static setActiveByIndex(items, index) {
        items[index].classList.add(DropdownItem.ACTIVE_ITEM_CLASS);
    }
}
//# sourceMappingURL=outerDropdownItem.js.map