export class SheetJSInternalUtils {
    // REF-17
    static async execFuncWithExtractorModule(func) {
        const xlsxModule = window.XLSX;
        if (!xlsxModule) {
            console.error(SheetJSInternalUtils.MODULE_NOT_FOUND_ERROR);
        }
        else {
            func(xlsxModule);
        }
    }
}
SheetJSInternalUtils.MODULE_NOT_FOUND_ERROR = 'xlsx module was not found';
//# sourceMappingURL=SheetJSInternalUtils.js.map