import { FileImportInputElement } from '../../../elements/files/buttons/importButton/fileImportInputElement';
export class FilesUtils {
    static processStyles(buttonStyles) {
        const styles = { default: {}, hover: { backgroundColor: '#f0f0f0' }, click: { backgroundColor: '#e4e4e4' } };
        if (buttonStyles) {
            Object.assign(styles.default, buttonStyles.default);
            Object.assign(styles.hover, buttonStyles.hover);
            Object.assign(styles.click, buttonStyles.click);
        }
        return styles;
    }
    static createDefault(at) {
        return { inputElementRef: FileImportInputElement.create(at) };
    }
}
FilesUtils.DEFAULT_BUTTON_POSITION = 'bottom-left';
//# sourceMappingURL=filesInternalUtils.js.map