import { FilterInternal } from '../../../../types/visibilityInternal';
import { ColumnsDetailsT } from '../../../../types/columnDetails';
import { TableContent } from '../../../../types/tableContent';
import { ActiveTable } from '../../../../activeTable';
import { Filter } from '../../../../types/filter';
export declare class FilterInternalUtils {
    static ACTIVE_WORKERS: number;
    static readonly CHUNK_SIZE = 2;
    static readonly HIDDEN_ROW_CLASS = "filter-hidden-row";
    private static finishFiltering;
    static getFilterFunc(at: ActiveTable): (chunksData: import("../../../../types/visibilityInternal").ChunkFilterData[], indexArray?: number[] | undefined) => void;
    static generateDefaultHeaderName(content: TableContent, defaultColumnHeaderName?: string): string;
    static addConfig(at: ActiveTable, userConfig: Filter): FilterInternal;
    private static assignElements;
    static resetInput(at: ActiveTable, config: FilterInternal): void;
    static unsetFilter(inputElement: HTMLInputElement): void;
    static unsetAllFilters(at: ActiveTable): boolean;
    static resetAllInputs(at: ActiveTable): void;
    static completeReset(at: ActiveTable): void;
    static isContainerRequired(filter: ActiveTable['filter'], containerPosition: 'top' | 'bottom'): boolean;
    static extractUnfilteredRows(tableBodyElement: HTMLElement, contentLength: number): Element[];
    static wasHeaderChanged(columnsDetails: ColumnsDetailsT, rowConfigs: FilterInternal[], columnIndex: number, colRemove?: boolean): boolean | undefined;
}
//# sourceMappingURL=filterInternalUtils.d.ts.map