import { ActiveTable } from '../../activeTable';
export declare class TableDimensionsUtils {
    static readonly MINIMAL_TABLE_WIDTH = 70;
    private static setIsColumnIndexCellTextWrapped;
    private static setPreserveNarrowColumnsProp;
    private static setDimension;
    static setTableDimensions(at: ActiveTable): void;
    static hasSetTableWidthBeenBreached(at: ActiveTable): boolean;
    static record(at: ActiveTable): void;
    static getDefault(): {
        recordedParentWidth: number;
        recordedParentHeight: number;
        recordedWindowWidth: number;
        recordedWindowHeight: number;
        border: import("../../types/tableBorderDimensions").TableBorderDimensions;
        staticWidth: number;
        newColumnWidth: number;
        indexColumnWidth: number;
    };
}
//# sourceMappingURL=tableDimensionsUtils.d.ts.map