import { ColumnTypeInternal } from '../../../../types/columnTypeInternal';
export declare class DateCellInputElement {
    static readonly ELEMENT_TYPE = "date";
    static readonly DATE_INPUT_CLASS = "date-input";
    static readonly DATE_INPUT_CONTAINER_CLASS = "date-input-container";
    static isInputElement(element?: Element): element is HTMLInputElement;
    static toggle(cellElement: HTMLElement | undefined, isDisplay: boolean): void;
    private static extractInputElementFromCell;
    private static convertTextToInputValue;
    static updateInputBasedOnTextDiv(cellElement: HTMLElement, type: ColumnTypeInternal): void;
    private static createInputElement;
    private static createInputElementContainer;
    static addDateInputElement(cellElement: HTMLElement, textElement: HTMLElement, type: ColumnTypeInternal): void;
}
//# sourceMappingURL=dateCellInputElement.d.ts.map