import { CellWithTextEvents } from '../../cellWithTextEvents';
// used for both - select and label cell text events
export class SelectCellBaseEvents {
    static blurIfDropdownFocused(at) {
        // text blur will not activate when the dropdown has been clicked and will not close if its scrollbar, padding
        // or option del/col buttons are clicked, hence once that happens and the user clicks on another select/label
        // cell, the dropdown is closed programmatically as follows
        if (at._focusedElements.cellDropdown) {
            CellWithTextEvents.programmaticBlur(at);
        }
    }
}
//# sourceMappingURL=selectCellBaseEvents.js.map