// TO-DO - checkbox icon should be a button that highlight/unhighlights all select boxes
export class CheckboxElement {
    static createCheckbox(isCellTextEditable) {
        const checkbox = document.createElement('input');
        checkbox.type = 'checkbox';
        checkbox.style.cursor = isCellTextEditable ? 'pointer' : 'auto';
        checkbox.style.pointerEvents = isCellTextEditable ? '' : 'none';
        return checkbox;
    }
    static setCellTextAsCheckbox(cellElement, isCellTextEditable) {
        const checkbox = CheckboxElement.createCheckbox(isCellTextEditable);
        cellElement.replaceChildren(checkbox);
    }
}
//# sourceMappingURL=checkboxElement.js.map