export class CheckboxValidationFunc {
    // cannot place this inside the CheckboxCellElement class as certain dependencies are not imported in time
    static getDefault() {
        return (text) => {
            const processedString = String(text).trim().toLocaleLowerCase();
            // prettier-ignore
            if (processedString === '' || processedString === '0'
                || processedString === '00' || processedString === 'false') {
                return 'false';
            }
            return 'true';
        };
    }
}
//# sourceMappingURL=checkboxValidationFunc.js.map