import { CellStructureUtils } from '../../../utils/columnType/cellStructureUtils';
import { DataCellEvents } from './dataCellEvents';
import { CellElement } from '../cellElement';
export class DataCellElement {
    static setCellDataStructure(at, cellElement, columnIndex) {
        // overwrites all previous cell content
        cellElement.innerText = CellElement.getTextElement(cellElement).innerText; // CAUTION-1
        const { isCellTextEditable } = at._columnsDetails[columnIndex].settings;
        CellElement.prepContentEditable(cellElement, isCellTextEditable);
    }
    static setColumnDataStructure(at, columnIndex) {
        CellStructureUtils.setColumn(at, columnIndex, DataCellElement.setCellDataStructure, DataCellEvents.setEvents);
    }
}
//# sourceMappingURL=dataCellElement.js.map