import { ColumnDetailsT, ColumnsDetailsT } from '../../../../types/columnDetails';
export declare class OptionColorButton {
    private static readonly COLOR_INPUT_CLASS;
    static readonly COLOR_BUTTON_CLASS = "option-color-button";
    private static readonly COLOR_BUTTON_ICON_CLASS;
    private static readonly COLOR_ICON_TEXT;
    static extractRelativeParentElements(buttonLevelElement: HTMLElement): {
        containerElement: HTMLElement;
        textElement: HTMLElement;
        dropdownItemElement: HTMLElement;
    };
    static changeVisibility(itemElement: HTMLElement, rightSideDelta: number, displayOnDropdown?: HTMLElement): void;
    private static createIcon;
    private static createButton;
    private static createInput;
    private static createContainer;
    static create(columnsDetails: ColumnsDetailsT, columnDetails: ColumnDetailsT): HTMLDivElement;
}
//# sourceMappingURL=optionColorButton.d.ts.map