import { _CellDropdown, ActiveCellDropdownItems } from '../../../types/cellDropdownInternal';
import { CellText } from '../../../types/tableContent';
import { ColumnDetailsT } from '../../../types/columnDetails';
import { ActiveTable } from '../../../activeTable';
export declare class CellDropdownItem {
    private static readonly ACTIVE_ITEM_BACKGROUND_COLOR;
    private static updateCellElementIfNotUpdated;
    static selectExistingItem(at: ActiveTable, activeItemElement: HTMLElement, rowIndex: number, columnIndex: number, textElement: HTMLElement): void;
    static addNewItem(at: ActiveTable, textElement: HTMLElement, columnDetails: ColumnDetailsT, color: string): void;
    private static updateCellTextBgColor;
    private static updateItemColor;
    private static hideHoveredItemHighlight;
    static attemptHighlightMatchingItemWithCell(textElement: HTMLElement, dropdown: _CellDropdown, defaultText: CellText, updateCellText: boolean, matchingCellElement?: HTMLElement): void;
    private static setItemOnCell;
    static setSiblingItemOnCell(at: ActiveTable, activeItems: ActiveCellDropdownItems, sibling: 'previousSibling' | 'nextSibling'): void;
    private static addItemElement;
    private static addItem;
    private static addItems;
    private static postProcessItemToColor;
    private static processNewItemsToColor;
    private static changeUserOptionsToItemToColor;
    static populateItems(at: ActiveTable, columnIndex: number): void;
}
//# sourceMappingURL=cellDropdownItem.d.ts.map