import { CellDropdownHorizontalScrollFix } from './cellDropdownHorizontalScrollFix';
import { ScrollbarUtils } from '../../../utils/scrollbar/scrollbarUtils';
export class CellDropdownScrollbar {
    static setProperties(cellDropdown) {
        const { element: dropdownEl, scrollbarPresence } = cellDropdown;
        // REF-4
        CellDropdownHorizontalScrollFix.setPropertiesIfHorizontalScrollPresent(cellDropdown);
        scrollbarPresence.vertical = ScrollbarUtils.isVerticalPresent(dropdownEl);
    }
}
//# sourceMappingURL=cellDropdownScrollbar.js.map