import { DropdownItemHighlightUtils } from '../../utils/color/dropdownItemHighlightUtils';
export class DropdownItemEvents {
    // prettier-ignore
    static addItemEvents(activeOverlayElements, element) {
        element.addEventListener('mouseenter', DropdownItemHighlightUtils.highlightNew.bind(this, activeOverlayElements, element));
        // the reason why we need mouse leave on the item as well as on mouse enter is because the mouse can leave the dropdown
        // without entering another item
        element.addEventListener('mouseleave', DropdownItemHighlightUtils.fadeCurrentlyHighlighted.bind(this, activeOverlayElements));
    }
}
//# sourceMappingURL=dropdownItemEvents.js.map