import { OuterDropdownSimpleUtils } from '../../../../../utils/outerTableComponents/dropdown/outerDropdownSimpleUtils';
import { OuterDropdownItemEvents } from '../../../../../utils/outerTableComponents/dropdown/outerDropdownItemEvents';
import { FileExportEvents } from '../fileExportEvents';
export class FileExportDropdownItemEvents {
    static action(at, targetText) {
        const text = targetText.toLowerCase();
        FileExportEvents.export(at, { format: text });
    }
    static setEvents(at, item) {
        const actionFunc = FileExportDropdownItemEvents.action;
        const hideFunc = OuterDropdownSimpleUtils.hide;
        item.onmousedown = OuterDropdownItemEvents.itemMouseDownCommon.bind(at, actionFunc, hideFunc);
    }
}
//# sourceMappingURL=fileExportDropdownItemEvents.js.map