import { PaginationUtils } from '../../../../../utils/outerTableComponents/pagination/paginationUtils';
import { PageButtonStyle } from '../../pageButtonStyle';
export class LastPageButtonEvents {
    static buttonMouseUp(event) {
        const buttonElement = event.target;
        const { activePageNumber, styles } = this._pagination;
        PageButtonStyle.mouseEnter(buttonElement, styles.pageButtons, true);
        const numberOfNumberButtons = PaginationUtils.getLastPossiblePageNumber(this);
        if (numberOfNumberButtons <= activePageNumber)
            return;
        PaginationUtils.displayRowsForDifferentButton(this, numberOfNumberButtons);
    }
    static setEvents(at, lastButtonElement) {
        lastButtonElement.onmouseup = LastPageButtonEvents.buttonMouseUp.bind(at);
    }
}
//# sourceMappingURL=lastPageButtonEvents.js.map