import { PageNumberButtonEvents } from './pageNumberButtonEvents';
import { PageButtonElement } from '../../pageButtonElement';
export class PageNumberButtonElement {
    static create(at, buttonNumber) {
        const buttonElement = PageButtonElement.create(at._pagination.styles.pageButtons, false);
        buttonElement.innerHTML = String(buttonNumber);
        setTimeout(() => PageNumberButtonEvents.setEvents(at, buttonNumber, buttonElement));
        return buttonElement;
    }
}
//# sourceMappingURL=pageNumberButtonElement.js.map