import { PaginationUtils } from '../../../../../utils/outerTableComponents/pagination/paginationUtils';
import { PageButtonStyle } from '../../pageButtonStyle';
export class NextPageButtonEvents {
    static buttonMouseUp(event) {
        const { activePageNumber, styles } = this._pagination;
        if (PaginationUtils.getLastPossiblePageNumber(this) <= activePageNumber)
            return;
        PaginationUtils.displayRowsForDifferentButton(this, activePageNumber + 1);
        const buttonElement = event.target;
        PageButtonStyle.mouseEnter(buttonElement, styles.pageButtons, true);
    }
    static setEvents(at, previousButtonElement) {
        previousButtonElement.onmouseup = NextPageButtonEvents.buttonMouseUp.bind(at);
    }
}
//# sourceMappingURL=nextPageButtonEvents.js.map