import { PaginationUtils } from '../../../../../utils/outerTableComponents/pagination/paginationUtils';
import { PageButtonStyle } from '../../pageButtonStyle';
export class PreviousPageButtonEvents {
    static buttonMouseUp(event) {
        const { activePageNumber, styles } = this._pagination;
        if (activePageNumber === 1)
            return;
        PaginationUtils.displayRowsForDifferentButton(this, activePageNumber - 1);
        const buttonElement = event.target;
        PageButtonStyle.mouseEnter(buttonElement, styles.pageButtons, true);
    }
    static setEvents(at, previousButtonElement) {
        previousButtonElement.onmouseup = PreviousPageButtonEvents.buttonMouseUp.bind(at);
    }
}
//# sourceMappingURL=previousPageButtonEvents.js.map