import { IPageButtonsStyles, PaginationInternal } from '../../../types/paginationInternal';
import { ActiveTable } from '../../../activeTable';
export declare class PageButtonElement {
    private static readonly PAGINATION_BUTTON_CLASS;
    static readonly DISABLED_PAGINATION_BUTTON_CLASS = "pagination-button-disabled";
    static readonly ACTIVE_PAGINATION_BUTTON_CLASS = "pagination-button-active";
    static readonly PRECEDENCE_ACTIVE_PAGINATION_BUTTON_CLASS = "pagination-button-active-precedence";
    static unsetDisabled(pagination: PaginationInternal): void;
    static setDisabled(pagination: PaginationInternal): void;
    private static programmaticMouseEnterTrigger;
    private static setNewActive;
    private static unsetPreviousActive;
    static setActive(at: ActiveTable, buttonNumber: number): void;
    static create(pageButtonsStyles: IPageButtonsStyles, isActionButton: boolean): HTMLDivElement;
}
//# sourceMappingURL=pageButtonElement.d.ts.map