import { PageButtonStyle } from './pageButtonStyle';
export class PageButtonEvents {
    static buttonMouseLeave(pageButtonStyles, isActionButton, event) {
        const buttonElement = event.target;
        PageButtonStyle.mouseLeave(buttonElement, pageButtonStyles, isActionButton);
    }
    static buttonMouseEnter(pageButtonStyles, isActionButton, event) {
        const buttonElement = event.target;
        PageButtonStyle.mouseEnter(buttonElement, pageButtonStyles, isActionButton);
    }
    static buttonMouseDown(pageButtonStyles, isActionButton, event) {
        const buttonElement = event.target;
        PageButtonStyle.mouseDown(buttonElement, pageButtonStyles, isActionButton);
    }
    static setEvents(button, pageButtonStyles, isActionButton) {
        button.onmousedown = PageButtonEvents.buttonMouseDown.bind(this, pageButtonStyles, isActionButton);
        button.onmouseenter = PageButtonEvents.buttonMouseEnter.bind(this, pageButtonStyles, isActionButton);
        button.onmouseleave = PageButtonEvents.buttonMouseLeave.bind(this, pageButtonStyles, isActionButton);
    }
}
//# sourceMappingURL=pageButtonEvents.js.map