import { RowsPerPageSelectButtonElement } from './rowsPerPageSelectButtonElement';
export class RowsPerPageSelectButtonEvents {
    static mouseDown(pagination, button) {
        var _a, _b, _c, _d, _e, _f;
        Object.assign(button.style, (_b = (_a = pagination.styles.rowsPerPageSelect) === null || _a === void 0 ? void 0 : _a.button) === null || _b === void 0 ? void 0 : _b.click);
        const buttonText = button.children[0];
        Object.assign(buttonText.style, (_d = (_c = pagination.styles.rowsPerPageSelect) === null || _c === void 0 ? void 0 : _c.buttonText) === null || _d === void 0 ? void 0 : _d.click);
        const buttonArrow = button.children[1];
        Object.assign(buttonArrow.style, (_f = (_e = pagination.styles.rowsPerPageSelect) === null || _e === void 0 ? void 0 : _e.buttonArrow) === null || _f === void 0 ? void 0 : _f.click);
    }
    static mouseLeave(paginationStyles, button) {
        RowsPerPageSelectButtonElement.applyStylesOnElements(button, 'default', paginationStyles.rowsPerPageSelect);
    }
    static mouseEnter(paginationStyles, button) {
        RowsPerPageSelectButtonElement.applyStylesOnElements(button, 'hover', paginationStyles.rowsPerPageSelect);
    }
    static setEvents(at, button) {
        button.onmouseenter = RowsPerPageSelectButtonEvents.mouseEnter.bind(this, at._pagination.styles, button);
        button.onmouseleave = RowsPerPageSelectButtonEvents.mouseLeave.bind(this, at._pagination.styles, button);
        button.onmousedown = RowsPerPageSelectButtonEvents.mouseDown.bind(this, at._pagination, button);
        button.onmouseup = RowsPerPageSelectButtonEvents.mouseEnter.bind(this, at._pagination.styles, button);
    }
}
//# sourceMappingURL=rowsPerPageSelectButtonEvents.js.map