import { OuterDropdownSimpleUtils } from '../../../../utils/outerTableComponents/dropdown/outerDropdownSimpleUtils';
import { OuterDropdownItemEvents } from '../../../../utils/outerTableComponents/dropdown/outerDropdownItemEvents';
import { RowsPerPageDropdownItemUtil } from './rowsPerPageDropdownItemUtil';
export class RowsPerPageDropdownItemEvents {
    static action(pagination, optionsButton, at, targetText) {
        if (pagination.rowsPerPage !== Number(targetText)) {
            RowsPerPageDropdownItemUtil.setNewRowsPerPage(at, optionsButton, targetText);
        }
    }
    static setEvents(at, item, optionsButton) {
        const actionFunc = RowsPerPageDropdownItemEvents.action.bind(this, at.pagination, optionsButton);
        const hideFunc = OuterDropdownSimpleUtils.hide;
        item.onmousedown = OuterDropdownItemEvents.itemMouseDownCommon.bind(at, actionFunc, hideFunc);
    }
}
//# sourceMappingURL=rowsPerPageDropdownItemEvents.js.map