import { InsertNewRow } from '../../../../utils/insertRemoveStructure/insert/insertNewRow';
import { CellHighlightUtils } from '../../../../utils/color/cellHighlightUtils';
export class AddNewRowEvents {
    static mouseEnterCell(dataColors, event) {
        CellHighlightUtils.highlight(event.target, dataColors.hover);
    }
    static mouseLeaveCell(dataColors, event) {
        CellHighlightUtils.fade(event.target, dataColors.default);
    }
    static setCellEvents(at, addNewRowCellElement) {
        addNewRowCellElement.onclick = InsertNewRow.insertEvent.bind(at);
        const dataColors = at._frameComponents.cellColors.data;
        addNewRowCellElement.onmouseenter = AddNewRowEvents.mouseEnterCell.bind(this, dataColors);
        addNewRowCellElement.onmouseleave = AddNewRowEvents.mouseLeaveCell.bind(this, dataColors);
    }
}
//# sourceMappingURL=addNewRowEvents.js.map