import { OuterDropdownItem } from '../../../../../utils/outerTableComponents/dropdown/outerDropdownItem';
import { FilterDropdownItemEvents } from './filterDropdownItemEvents';
import { DropdownItem } from '../../../../dropdown/dropdownItem';
export class FilterDropdownItem {
    static setActive(at, dropdownElement, config) {
        const index = at._columnsDetails.findIndex((columnDetail) => columnDetail.elements === config.elements);
        OuterDropdownItem.setActiveByIndex(Array.from(dropdownElement.children), index);
    }
    static addItems(at, dropdown, config) {
        var _a;
        const headers = (_a = at.content[0]) === null || _a === void 0 ? void 0 : _a.map((headerText) => String(headerText));
        headers === null || headers === void 0 ? void 0 : headers.forEach((headerText) => {
            const itemsSettings = { text: headerText };
            const item = DropdownItem.addButtonItem(at, dropdown.element, itemsSettings);
            FilterDropdownItemEvents.setEvents(at, item, config, dropdown.activeButtonStyle);
        });
    }
    static populate(at, dropdown, config) {
        dropdown.element.replaceChildren();
        FilterDropdownItem.addItems(at, dropdown, config);
        FilterDropdownItem.setActive(at, dropdown.element, config);
    }
}
//# sourceMappingURL=filterDropdownItem.js.map