import { FilterInputCaseEvents } from './filterInputCaseEvents';
import { FilterElements } from '../filterElements';
export class FilterInputCaseElement {
    static createButton(styles = {}) {
        const caseButton = document.createElement('div');
        caseButton.classList.add('filter-rows-case-button');
        caseButton.textContent = 'Aa';
        FilterElements.applyStatefulStyles(caseButton, { color: '#626262' }, styles);
        return caseButton;
    }
    static create(at, container, config, styles) {
        const buttonElement = FilterInputCaseElement.createButton(styles === null || styles === void 0 ? void 0 : styles.caseIcon);
        container.appendChild(buttonElement);
        setTimeout(() => { var _a; return FilterInputCaseEvents.setEvents(at, buttonElement, config, (_a = styles === null || styles === void 0 ? void 0 : styles.caseIcon) === null || _a === void 0 ? void 0 : _a.active); });
    }
}
//# sourceMappingURL=filterInputCaseElement.js.map