import { PX } from './dimensions';
export type SelectOptions = string[];
export type LabelOptions = {
    text: string;
    backgroundColor?: string;
}[];
export interface CellDropdownOptionStyle {
    textColor: CSSStyleDeclaration['color'];
}
export interface CellDropdownStyle {
    width?: PX;
    paddingTop?: PX;
    paddingBottom?: PX;
    marginTop?: PX;
    marginLeft?: PX;
    textAlign?: CSSStyleDeclaration['textAlign'];
    border?: CSSStyleDeclaration['border'];
}
export interface CellDropdownT<T = LabelOptions> {
    dropdownStyle?: CellDropdownStyle;
    optionStyle?: CellDropdownOptionStyle;
    options?: T;
    canAddMoreOptions?: boolean;
}
//# sourceMappingURL=cellDropdown.d.ts.map