import { CellDropdownOptionStyle, CellDropdownStyle } from './cellDropdown';
import { GlobalItemColors } from './itemToColor';
export interface ColorPickerNewValue {
    itemText: string;
    backgroundColor: string;
}
export interface LabelDetails {
    globalItemColors: GlobalItemColors;
    colorPickerContainer?: HTMLElement;
    colorPickerNewValue?: ColorPickerNewValue;
}
interface ScrollbarPresence {
    horizontal: boolean;
    vertical: boolean;
}
export interface ActiveCellDropdownItems {
    matchingWithCellText?: HTMLElement;
    hovered?: HTMLElement;
}
interface CellDropdownItemDetails {
    backgroundColor: string;
    isCustomBackgroundColor: boolean;
    element: HTMLElement;
}
interface CellDropdownItemsDetails {
    [itemText: string]: CellDropdownItemDetails;
}
export interface _CellDropdown {
    itemsDetails: CellDropdownItemsDetails;
    activeItems: ActiveCellDropdownItems;
    element: HTMLElement;
    scrollbarPresence: ScrollbarPresence;
    customDropdownStyle?: CellDropdownStyle;
    customItemStyle?: CellDropdownOptionStyle;
    canAddMoreOptions: boolean;
    displayedCellElement?: HTMLElement;
    labelDetails?: LabelDetails;
}
export {};
//# sourceMappingURL=cellDropdownInternal.d.ts.map