import { PX } from './dimensions';
export interface SizerMoveLimits {
    left: number;
    right: number;
}
export interface ColumnResizerStyles {
    default: {
        backgroundImage: string;
        width: PX;
    };
    hover: {
        width: PX;
    };
    static: {
        marginRight: PX;
    };
}
export interface ColumnSizerT {
    element: HTMLElement;
    movableElement: HTMLElement;
    overlayElement: HTMLElement;
    styles: ColumnResizerStyles;
    isSideCellHovered: boolean;
    isSizerHovered: boolean;
    isMouseUpOnSizer: boolean;
    hoverColor: string;
}
export interface SelectedColumnSizerT {
    element: HTMLElement;
    moveLimits: SizerMoveLimits;
    wasAutoresized?: boolean;
    mouseMoveOffset: number;
    initialOffset: number;
    fireColumnsUpdate: () => void;
}
export type ColumnResizerColors = {
    hover?: string;
    click?: string;
};
//# sourceMappingURL=columnSizer.d.ts.map