import { TableBorderDimensions } from './tableBorderDimensions';
import { InterfacesUnion } from './utilityTypes';
interface Initial {
    recordedParentWidth: number;
    recordedParentHeight: number;
    recordedWindowWidth: number;
    recordedWindowHeight: number;
    border: TableBorderDimensions;
    staticWidth: number;
    newColumnWidth: number;
    indexColumnWidth: number;
}
type Parent = {
    preserveNarrowColumns?: boolean;
    isColumnIndexCellTextWrapped?: boolean;
} & Initial;
interface Width extends Parent {
    width: number;
    isPercentage: boolean;
}
interface MaxWidth extends Parent {
    maxWidth: number;
    isPercentage: boolean;
}
export type TableDimensions = InterfacesUnion<Width | MaxWidth | Initial>;
export {};
//# sourceMappingURL=tableDimensions.d.ts.map