import { ColumnDetailsInitial, ColumnDetailsNoSizer, ColumnDetailsT } from '../../types/columnDetails';
import { DefaultCellHoverColors } from '../../types/cellStateColors';
import { ColumnSettingsInternal } from '../../types/columnsSettingsInternal';
import { DefaultColumnsSettings } from '../../types/columnsSettingsDefault';
export declare class ColumnDetails {
    static readonly MINIMAL_COLUMN_WIDTH = 34;
    private static getHeaderDefaultColor;
    private static getHeaderHoverColor;
    static createHeaderStateColors(columnsSettings: DefaultColumnsSettings, settings: ColumnSettingsInternal | undefined, defaultCellHoverColors: DefaultCellHoverColors): {
        hover: {
            color: string;
            backgroundColor: string;
        };
        default: {
            color: string;
            backgroundColor: string;
        };
    };
    static createInitial(columnsSettings: DefaultColumnsSettings, cellDropdown: HTMLElement, settings: ColumnSettingsInternal, defaultCellHoverColors: DefaultCellHoverColors, fireColumnsUpdate: ColumnDetailsT['fireColumnsUpdate']): ColumnDetailsInitial;
    static updateWithNoSizer(columnDetails: ColumnDetailsInitial, columnDropdownCellOverlay: HTMLElement): ColumnDetailsNoSizer;
}
//# sourceMappingURL=columnDetails.d.ts.map