import { ColumnSettingsInternal } from '../../types/columnsSettingsInternal';
import { ActiveTable } from '../../activeTable';
export declare class ColumnSettingsUtils {
    private static updateSizer;
    private static change;
    static parseSettingsChange(at: ActiveTable): {
        oldSettings: ColumnSettingsInternal;
        newSettings: ColumnSettingsInternal;
        areSettingsDifferent: boolean;
    };
    static changeColumnSettingsIfNameDifferent(at: ActiveTable, cellElement: HTMLElement, colIndex: number, onColMove?: boolean): void;
    private static setDropdownSettings;
    private static processCellDimensions;
    private static createInternalSettings;
    private static createInternalMap;
    private static setDefaultTypeProperties;
    private static setDefaultDropdownProperties;
    private static setDefaultGenericProperties;
    private static setDefaultColumnsSettings;
    static setUpInternalSettings(at: ActiveTable): void;
}
//# sourceMappingURL=columnSettingsUtils.d.ts.map