import { ColumnTypeInternal } from '../../types/columnTypeInternal';
import { ColumnSettingsInternal } from '../../types/columnsSettingsInternal';
import { ActiveTable } from '../../activeTable';
export declare class ColumnTypesUtils {
    private static getTypeByName;
    private static getTypeBasedOnProperties;
    static getActiveType(settings: ColumnSettingsInternal, previousTypeName?: string): ColumnTypeInternal;
    private static getReusableDefaultIcon;
    private static processDropdownItemSettings;
    private static processTextValidationProps;
    private static processCheckbox;
    private static processSelectOptions;
    private static processSelect;
    private static convertStringFunctionsToRealFunctions;
    private static createTypeDeepCopy;
    private static process;
    private static getAvailableTypes;
    static getProcessedTypes(settings: ColumnSettingsInternal): ColumnTypeInternal[];
    static updateDataElements(at: ActiveTable, rowIndex: number, columnIndex: number, cellElement: HTMLElement): void;
}
//# sourceMappingURL=columnTypesUtils.d.ts.map