import { CellProcessedTextStyle } from '../../types/processedTextStyle';
import { NoDimensionCSSStyle } from '../../types/cssStyle';
import { ActiveTable } from '../../activeTable';
export declare class ProcessedDataTextStyle {
    private static readonly DEFAULT_FAILED_VALIDATION_STYLE;
    private static setCustomStyle;
    private static setFailedValidationStyle;
    private static setStyle;
    static setCellStyle(at: ActiveTable, rowIndex: number, columnIndex: number, overwrite?: boolean): void;
    private static setStyleOnColumn;
    private static unsetStyleOnColumn;
    static resetDataCellsStyle(at: ActiveTable, columnIndex: number, changeFunc: () => void, oldCellStyle?: NoDimensionCSSStyle): void;
    static reapplyCellsStyle(at: ActiveTable, columnIndex: number): void;
    static getDefaultProcessedTextStyle(): CellProcessedTextStyle;
}
//# sourceMappingURL=processedDataTextStyle.d.ts.map