import { CSSStyle, NoDimensionCSSStyle, StatefulCSS } from '../../types/cssStyle';
export declare class ElementStyle {
    static setStyle(element: HTMLElement, style: string, value: string): void;
    static moveStyles(sourceElement: HTMLElement, destinationElement: HTMLElement, ...styles: (keyof CSSStyleDeclaration)[]): void;
    static unsetStyle(element: HTMLElement, style: NoDimensionCSSStyle): void;
    static unsetAllCSSStates(buttonElement: HTMLElement, statefulStyle: StatefulCSS): void;
    static generateStatefulCSS(styles: StatefulCSS, defHover: CSSStyle, defClick: CSSStyle): StatefulCSS;
}
//# sourceMappingURL=elementStyle.d.ts.map