import { AddNewColumnElement } from '../../elements/table/addNewElements/column/addNewColumnElement';
import { IndexColumn } from '../../elements/indexColumn/indexColumn';
import { CellElement } from '../../elements/cell/cellElement';
export class ExtractElements {
    static textCellsArrFromRow(rowElement) {
        return Array.from(rowElement.children).filter((child) => (child.tagName === CellElement.HEADER_TAG || child.tagName === CellElement.DATA_TAG) &&
            !child.classList.contains(AddNewColumnElement.ADD_COLUMN_CELL_CLASS) &&
            !child.classList.contains(IndexColumn.INDEX_CELL_CLASS));
    }
    static textRowsArrFromTBody(tableBodyElement, content, startIndex = 0) {
        // not returning frame rows that contain other utils such as add new row
        return Array.from(tableBodyElement.children).slice(startIndex, content.length);
    }
    static getRightColumnSiblingCell(cellElement) {
        var _a;
        return (_a = cellElement.nextSibling) === null || _a === void 0 ? void 0 : _a.nextSibling;
    }
}
//# sourceMappingURL=extractElements.js.map