import { ActiveTable } from '../../../activeTable';
import { Drag } from './drag';
export declare class DragRow extends Drag {
    private static readonly IS_DRAGGING_ALLOWED;
    private static readonly ROW_CLONE_CLASS;
    private static INITIALISING_DRAG_PX;
    private static ACTIVE_ROW_TOP_PX;
    static ROW: HTMLElement | null;
    static CLONE_ROW: HTMLElement | null;
    private static IS_MOUSE_DOWN;
    private static ACTIVE_INDEX;
    private static THRESHOLD_UP;
    private static THRESHOLD_DOWN;
    private static TARGET_UP_ROW?;
    private static TARGET_DOWN_ROW?;
    private static MAX_DOWN;
    private static TARGET_LINE?;
    private static THRESHOLD_TO_NO_LINE_DOWN;
    private static THRESHOLD_TO_NO_LINE_UP;
    private static resetElements;
    private static appendTargetLine;
    private static prepareElements;
    private static calculateThresholdDown;
    private static calculateThresholdUp;
    private static initiateDragState;
    private static processRowCellsToDrag;
    static applyEventsToElement(at: ActiveTable, draggableElement: HTMLElement, cellElement: HTMLElement): void;
    private static moveTargetLine;
    private static removeLineOnMoveDown;
    private static attemptSwitchUp;
    private static removeLineOnMoveUp;
    private static attemptSwitchDown;
    static windowDrag(event: MouseEvent): void;
    static windowMouseUp(at: ActiveTable): void;
}
//# sourceMappingURL=dragRow.d.ts.map