import { GenericObject } from '../../types/genericObject';
export declare class ObjectUtils {
    static createTwoWayObject(object: GenericObject): GenericObject;
    static convertStringToFunction<T, K extends keyof T, R extends T[K]>(object: T, objectKey: K): void;
    static areValuesFullyDefined(...values: unknown[]): boolean;
    static removeProperties<T>(object: T, ...keys: (keyof T)[]): void;
}
//# sourceMappingURL=objectUtils.d.ts.map