export class SheetJSExport {
    static getFileName(format, fileName) {
        if (fileName) {
            return fileName.endsWith(`.${format}`) ? fileName : `${fileName}.${format}`;
        }
        return `table_data.${format}`;
    }
    // not csv
    static export(at, format, fileName, xlsxModule) {
        const workbook = xlsxModule.utils.book_new();
        const worksheet = xlsxModule.utils.aoa_to_sheet(at.content);
        xlsxModule.utils.book_append_sheet(workbook, worksheet, 'Sheet');
        const definedFileName = SheetJSExport.getFileName(format, fileName);
        xlsxModule.writeFile(workbook, definedFileName, { bookType: format });
    }
}
//# sourceMappingURL=SheetJSExport.js.map