import { CSVImport } from '../CSV/CSVImport';
export class SheetJSImport {
    static import(at, file, xlsxModule) {
        const reader = new FileReader();
        reader.readAsBinaryString(file);
        reader.onload = (event) => {
            var _a;
            const workbook = xlsxModule.read((_a = event.target) === null || _a === void 0 ? void 0 : _a.result, { type: 'binary' });
            workbook.SheetNames.forEach((sheetName) => {
                const csvText = xlsxModule.utils.sheet_to_csv(workbook.Sheets[sheetName]);
                CSVImport.processFile(at, csvText);
            });
        };
    }
}
//# sourceMappingURL=SheetJSImport.js.map