import { OuterContentPosition, OuterContainers } from '../../types/outerContainer';
import { ActiveTable } from '../../activeTable';
export declare class OuterContainerElements {
    private static readonly CONTAINER_CLASS;
    private static readonly TOP_CONTAINER_ID;
    private static readonly BOTTOM_CONTAINER_ID;
    private static readonly COLUMN_CLASS;
    private static readonly COLUMN_INNER_CLASS;
    private static readonly COLUMN_CONTENT_CLASS;
    private static readonly LEFT_COLUMN_CLASS;
    private static readonly CENTER_COLUMN_CLASS;
    private static readonly RIGHT_COLUMN_CLASS;
    private static getColumnContentContainer;
    private static setContainerHeightBasedOnMiddleColumn;
    private static setHeightsWhenOnlyMiddleColumns;
    private static appendChildToColumn;
    static addToContainer(position: OuterContentPosition, containers: OuterContainers, element: HTMLElement): void;
    private static createContainerColumn;
    private static createContainerElement;
    private static addContainer;
    private static isRequired;
    private static isContainerRequired;
    static create(at: ActiveTable): OuterContainers;
}
//# sourceMappingURL=outerContainerElements.d.ts.map