import { PaginationInternal } from '../../../types/paginationInternal';
import { ActiveTable } from '../../../activeTable';
export declare class PaginationUtils {
    private static readonly HIDDEN_ROW_CLASS;
    static getLastPossiblePageNumber(at: ActiveTable, isBeforeInsert?: boolean): number;
    static getPageNumberButtons(pagination: PaginationInternal): HTMLElement[];
    private static hideRow;
    private static displayRow;
    static updateOnRowMove(at: ActiveTable, rowIndex: number): void;
    private static getSiblingVisibleRow;
    private static updateRowsOnRemoval;
    static hideLastVisibleRow(pagination: PaginationInternal): void;
    private static updateRowsOnNewInsert;
    static updateOnRowChange(at: ActiveTable, rowIndex: number, newRowElement?: HTMLElement): void;
    static initialRowUpdates(at: ActiveTable, rowIndex: number, newRowElement: HTMLElement): void;
    private static updateAddRowRow;
    private static setCorrectRowsAsVisible;
    private static hideAllRows;
    static displayRowsForDifferentButton(at: ActiveTable, buttonNumber: number): void;
    static getFirstVisibleRow(visibleRows: HTMLElement[]): HTMLElement | undefined;
}
//# sourceMappingURL=paginationUtils.d.ts.map