import { ParsedDimension } from '../tableDimensions/stringDimensionUtils';
import { TableDimensions } from '../../types/tableDimensions';
import { ActiveTable } from '../../activeTable';
export declare class OverflowUtils {
    private static ID;
    static readonly SCROLLBAR_WIDTH = 15;
    static isOverflowElement(element?: HTMLElement): boolean;
    private static unsetBorderDimensions;
    static processNumberDimension(tableDimensions: TableDimensions, numberDimension: ParsedDimension): void;
    private static moveBorderToOverflowContainer;
    private static adjustStyleForScrollbarWidth;
    private static setDimensions;
    private static getDimensions;
    static applyDimensions(at: ActiveTable): void;
    static setupContainer(at: ActiveTable, tableElement: HTMLElement): void;
}
//# sourceMappingURL=overflowUtils.d.ts.map