import { KEYBOARD_EVENT } from '../../consts/keyboardEvents';
import { KEYBOARD_KEY } from '../../consts/keyboardKeys';
import { MOUSE_EVENT } from '../../consts/mouseEvents';
export class UserKeyEventsStateUtils {
    static createNew() {
        // REF-7
        return { [KEYBOARD_KEY.TAB]: false, [KEYBOARD_EVENT.PASTE]: false, [MOUSE_EVENT.DOWN]: false };
    }
    static temporarilyIndicateEvent(userKeyEventsState, key) {
        userKeyEventsState[key] = true;
        setTimeout(() => (userKeyEventsState[key] = false), UserKeyEventsStateUtils.KEY_PRESS_STATE_TIMEOUT_ML);
    }
}
UserKeyEventsStateUtils.KEY_PRESS_STATE_TIMEOUT_ML = 5;
//# sourceMappingURL=userEventsStateUtils.js.map